For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • POSTCreate organization
            • GETGet organization
            • GETGet basic details by name
            • GETGet basic details by ID
            • GETGet organization settings
            • PUTUpdate organization
            • DELDelete organization
            • GETList suborganizations by organization
            • GETExport organizations by paypoint
          • GETGet stats for an org or paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsBusiness entitiesOrganizations

Get organization

|View as Markdown|Open in Claude|
GET
/Organization/read/:orgId
GET
/api/Organization/read/:orgId
$curl https://api-sandbox.payabli.com/api/Organization/read/123 \
> -H "requestToken: <apiKey>"
1{
2 "services": [
3 {
4 "description": "description",
5 "enabled": true,
6 "monthlyCost": 1.1,
7 "name": "name",
8 "reseller": true,
9 "setupCost": 1.1,
10 "txCost": 1.1,
11 "txPercentCost": 1.1
12 }
13 ],
14 "billingInfo": {
15 "achAccount": "123123123",
16 "achRouting": "123123123",
17 "billingAddress": "123 Walnut Street",
18 "billingCity": "Johnson City",
19 "billingCountry": "US",
20 "billingState": "TN",
21 "billingZip": "37615"
22 },
23 "contacts": [
24 {
25 "contactEmail": "example@email.com",
26 "contactName": "Herman Martinez",
27 "contactPhone": "3055550000",
28 "contactTitle": "Owner"
29 }
30 ],
31 "createdAt": "2022-07-01T15:00:01Z",
32 "hasBilling": true,
33 "hasResidual": true,
34 "idOrg": 123,
35 "isRoot": false,
36 "orgAddress": "123 Walnut Street",
37 "orgCity": "Johnson City",
38 "orgCountry": "US",
39 "orgEntryName": "pilgrim-planner",
40 "orgId": "I-123",
41 "orgLogo": {
42 "fContent": "TXkgdGVzdCBmaWxlHJ==...",
43 "filename": "my-doc.pdf",
44 "ftype": "pdf",
45 "furl": "https://mysite.com/my-doc.pdf"
46 },
47 "orgName": "Pilgrim Planner",
48 "orgParentId": 236,
49 "orgParentName": "PropertyManager Pro",
50 "orgState": "TN",
51 "orgTimezone": -5,
52 "orgType": 0,
53 "orgWebsite": "www.pilgrimageplanner.com",
54 "orgZip": "orgZip",
55 "recipientEmailNotification": true,
56 "replyToEmail": "example@email.com",
57 "resumable": false,
58 "summary": {
59 "amountSubs": 1.1,
60 "amountTx": 1.1,
61 "childOrgs": 1,
62 "childPaypoints": 1,
63 "countSubs": 1,
64 "countTx": 1
65 },
66 "users": [
67 {
68 "Access": [
69 {
70 "roleValue": true
71 }
72 ],
73 "AdditionalData": "AdditionalData",
74 "createdAt": "2022-07-01T15:00:01Z",
75 "Email": "example@email.com",
76 "language": "en",
77 "lastAccess": "2022-07-01T15:00:01Z",
78 "Name": "Sean Smith",
79 "Phone": "5555555555",
80 "Scope": [
81 {
82 "orgType": 0
83 }
84 ],
85 "snData": "snData",
86 "snIdentifier": "snIdentifier",
87 "snProvider": "google",
88 "timeZone": -5,
89 "userId": 1000000,
90 "UsrMFA": false,
91 "UsrMFAMode": 0,
92 "UsrStatus": 1
93 }
94 ]
95}
Retrieves details for an organization by ID.
Was this page helpful?
Previous

Create organization

Next

Get basic details by name

Authentication

requestTokenstring
API Key authentication via header

Path parameters

orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Response

Success
serviceslist of objects
billingInfoobject
contactslist of objects
List of contacts.
createdAtdatetime
Timestamp of when record was created, in UTC.
hasBillingboolean
hasResidualboolean
idOrglong
Organization ID. Unique identifier assigned to an org by Payabli.
isRootboolean

When true, indicates that this is the organization’s root template.

orgAddressstring
The organization's address.
orgCitystring
The organization's city.
orgCountrystring
The organization's country.
orgEntryNamestring
The entryname for the org, in string format. If you leave this blank, Payabli uses the DBA name.
orgIdstring
An alternate ID for the organization, in string format. This can be your internal identifier for an org, and is typically a name, like "My Suborganization".
orgLogoobject
Contains details about a file. Max upload size is 30 MB.
orgNamestring
The name of the organization.
orgParentIdlong
The ID of the org's parent organization.
orgParentNamestring
The name of the parent organization.
orgStatestring
The organization's state.
orgTimezoneinteger

The org’s timezone, in UTC offset. For example, -5 is Eastern time.

orgTypeinteger

The organization type. Currently, this must be 0.

orgWebsitestring
The organization's website.
orgZipstring
The organization's ZIP code.
recipientEmailNotificationboolean

When true, Payabli will send the applicant a boarding link. Set this value to false if you are sending pre-filled applications via the API and don’t want Payabli to send the applicant an email to complete the boarding application.

replyToEmailstringformat: "email"

Email address for organization-level communications, such as messages about why an application was declined. This is required by commerce laws in the US.

resumableboolean

When true, the applicant can save an incomplete application and resume it later. When false, the applicant won’t have an option to save their progress, and must complete the application in one session.

summaryobject
userslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error